-- phpMyAdmin SQL Dump
-- version 5.1.1
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1:3306
-- Generation Time: Jun 29, 2022 at 11:53 AM
-- Server version: 5.7.36
-- PHP Version: 7.4.26

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `kviz`
--
DROP DATABASE IF EXISTS `kviz`;
CREATE DATABASE IF NOT EXISTS `kviz` DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci;
USE `kviz`;
-- --------------------------------------------------------

--
-- Table structure for table `grad`
--

DROP TABLE IF EXISTS `grad`;
CREATE TABLE IF NOT EXISTS `grad` (
  `idgrad` int(11) NOT NULL,
  `naziv` varchar(45) NOT NULL,
  PRIMARY KEY (`idgrad`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `grad`
--

INSERT INTO `grad` (`idgrad`, `naziv`) VALUES
(1, 'Beograd'),
(2, 'Nis');

-- --------------------------------------------------------

--
-- Table structure for table `kategorija`
--

DROP TABLE IF EXISTS `kategorija`;
CREATE TABLE IF NOT EXISTS `kategorija` (
  `idkategorija` int(11) NOT NULL,
  `naziv` varchar(45) NOT NULL,
  PRIMARY KEY (`idkategorija`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `kategorija`
--

INSERT INTO `kategorija` (`idkategorija`, `naziv`) VALUES
(1, 'Geografija'),
(2, 'Istorija'),
(3, 'Kultura');

-- --------------------------------------------------------

--
-- Table structure for table `korisnik`
--

DROP TABLE IF EXISTS `korisnik`;
CREATE TABLE IF NOT EXISTS `korisnik` (
  `korime` varchar(45) NOT NULL,
  `ime` varchar(45) NOT NULL,
  `prezime` varchar(45) NOT NULL,
  PRIMARY KEY (`korime`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `korisnik`
--

INSERT INTO `korisnik` (`korime`, `ime`, `prezime`) VALUES
('mica', 'Milos', 'Milosevic'),
('pera', 'Petar', 'Peric');

-- --------------------------------------------------------

--
-- Table structure for table `odgovor`
--

DROP TABLE IF EXISTS `odgovor`;
CREATE TABLE IF NOT EXISTS `odgovor` (
  `idodgovor` int(11) NOT NULL,
  `tekst` varchar(45) NOT NULL,
  PRIMARY KEY (`idodgovor`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `odgovor`
--

INSERT INTO `odgovor` (`idodgovor`, `tekst`) VALUES
(1, 'Rim'),
(2, 'Salcburg'),
(3, 'Hamburg'),
(4, 'Frankfurt'),
(5, 'Pera');

-- --------------------------------------------------------

--
-- Table structure for table `odgovorio`
--

DROP TABLE IF EXISTS `odgovorio`;
CREATE TABLE IF NOT EXISTS `odgovorio` (
  `korisnik_korime` varchar(45) NOT NULL,
  `pitanje_idpitanje` int(11) NOT NULL,
  PRIMARY KEY (`korisnik_korime`,`pitanje_idpitanje`),
  KEY `fk_odgovorio_pitanje1_idx` (`pitanje_idpitanje`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `pitanje`
--

DROP TABLE IF EXISTS `pitanje`;
CREATE TABLE IF NOT EXISTS `pitanje` (
  `idpitanje` int(11) NOT NULL,
  `tekst` varchar(45) NOT NULL,
  `naziv` varchar(45) NOT NULL,
  PRIMARY KEY (`idpitanje`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `pitanje`
--

INSERT INTO `pitanje` (`idpitanje`, `tekst`, `naziv`) VALUES
(1, 'Kako se zove glavni grad Italije?', 'Gradovi u Italiji'),
(2, 'U kom gradu je rodjen Mocart?', 'Rodno mesto kompozitora');

--
-- Constraints for dumped tables
--

--
-- Constraints for table `odgovorio`
--
ALTER TABLE `odgovorio`
  ADD CONSTRAINT `fk_odgovorio_korisnik` FOREIGN KEY (`korisnik_korime`) REFERENCES `korisnik` (`korime`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_odgovorio_pitanje1` FOREIGN KEY (`pitanje_idpitanje`) REFERENCES `pitanje` (`idpitanje`) ON DELETE NO ACTION ON UPDATE NO ACTION;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
