from django.db import models

# Create your models here.
from django.contrib.auth.models import AbstractUser


class Korisnik(AbstractUser):
    pass


class Kategorija(models.Model):
    naziv = models.CharField(max_length=100)

    class Meta:
        db_table = 'Kategorija'


class Grad(models.Model):
    naziv = models.CharField(max_length=100)

    class Meta:
        db_table = 'Grad'


class Odgovor(models.Model):
    tekst = models.CharField(max_length=100)

    class Meta:
        db_table = 'Odgovor'


class Pitanje(models.Model):
    naziv = models.CharField(max_length=100)
    tekst = models.CharField(max_length=100)

    class Meta:
        db_table = 'Pitanje'


class Odgovorio(models.Model):
    korisnik = models.ForeignKey(
        Korisnik, on_delete=models.CASCADE)
    pitanje = models.ForeignKey(
        Pitanje, on_delete=models.CASCADE)

    class Meta:
        db_table = 'Odgovorio'
